//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.1-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2013.09.25 at 11:29:15 AM COT 
//
package co.gov.igac.data.converted.xsd;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>
 * Java class for ConsultaIGACParams complex type.
 *
 * <p>
 * The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType name="ConsultaIGACParams">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="tipoNumeroPredial" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="numeroPredial" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="tipoDocumento" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="numeroDocumento" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="razonSocial" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="primerApellido" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="segundoApellido" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="primerNombre" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="segundoNombre" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="direccion" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="matricula" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="pagina" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 *
 *
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ConsultaIGACParams", propOrder = {
    "tipoNumeroPredial",
    "numeroPredial",
    "tipoDocumento",
    "numeroDocumento",
    "razonSocial",
    "primerApellido",
    "segundoApellido",
    "primerNombre",
    "segundoNombre",
    "direccion",
    "matricula",
    "pagina"
})
public class ConsultaIGACParams {

    @XmlElementRef(name = "tipoNumeroPredial", namespace = "http://converted.data.igac.gov.co/xsd",
        type = JAXBElement.class)
    protected JAXBElement<String> tipoNumeroPredial;
    @XmlElementRef(name = "numeroPredial", namespace = "http://converted.data.igac.gov.co/xsd",
        type = JAXBElement.class)
    protected JAXBElement<String> numeroPredial;
    @XmlElementRef(name = "tipoDocumento", namespace = "http://converted.data.igac.gov.co/xsd",
        type = JAXBElement.class)
    protected JAXBElement<String> tipoDocumento;
    @XmlElementRef(name = "numeroDocumento", namespace = "http://converted.data.igac.gov.co/xsd",
        type = JAXBElement.class)
    protected JAXBElement<String> numeroDocumento;
    @XmlElementRef(name = "razonSocial", namespace = "http://converted.data.igac.gov.co/xsd", type =
        JAXBElement.class)
    protected JAXBElement<String> razonSocial;
    @XmlElementRef(name = "primerApellido", namespace = "http://converted.data.igac.gov.co/xsd",
        type = JAXBElement.class)
    protected JAXBElement<String> primerApellido;
    @XmlElementRef(name = "segundoApellido", namespace = "http://converted.data.igac.gov.co/xsd",
        type = JAXBElement.class)
    protected JAXBElement<String> segundoApellido;
    @XmlElementRef(name = "primerNombre", namespace = "http://converted.data.igac.gov.co/xsd",
        type = JAXBElement.class)
    protected JAXBElement<String> primerNombre;
    @XmlElementRef(name = "segundoNombre", namespace = "http://converted.data.igac.gov.co/xsd",
        type = JAXBElement.class)
    protected JAXBElement<String> segundoNombre;
    @XmlElementRef(name = "direccion", namespace = "http://converted.data.igac.gov.co/xsd", type =
        JAXBElement.class)
    protected JAXBElement<String> direccion;
    @XmlElementRef(name = "matricula", namespace = "http://converted.data.igac.gov.co/xsd", type =
        JAXBElement.class)
    protected JAXBElement<String> matricula;
    @XmlElementRef(name = "pagina", namespace = "http://converted.data.igac.gov.co/xsd", type =
        JAXBElement.class)
    protected JAXBElement<String> pagina;

    /**
     * Gets the value of the tipoNumeroPredial property.
     *
     * @return possible object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public JAXBElement<String> getTipoNumeroPredial() {
        return tipoNumeroPredial;
    }

    /**
     * Sets the value of the tipoNumeroPredial property.
     *
     * @param value allowed object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public void setTipoNumeroPredial(JAXBElement<String> value) {
        this.tipoNumeroPredial = ((JAXBElement<String>) value);
    }

    /**
     * Gets the value of the numeroPredial property.
     *
     * @return possible object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public JAXBElement<String> getNumeroPredial() {
        return numeroPredial;
    }

    /**
     * Sets the value of the numeroPredial property.
     *
     * @param value allowed object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public void setNumeroPredial(JAXBElement<String> value) {
        this.numeroPredial = ((JAXBElement<String>) value);
    }

    /**
     * Gets the value of the tipoDocumento property.
     *
     * @return possible object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public JAXBElement<String> getTipoDocumento() {
        return tipoDocumento;
    }

    /**
     * Sets the value of the tipoDocumento property.
     *
     * @param value allowed object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public void setTipoDocumento(JAXBElement<String> value) {
        this.tipoDocumento = ((JAXBElement<String>) value);
    }

    /**
     * Gets the value of the numeroDocumento property.
     *
     * @return possible object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public JAXBElement<String> getNumeroDocumento() {
        return numeroDocumento;
    }

    /**
     * Sets the value of the numeroDocumento property.
     *
     * @param value allowed object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public void setNumeroDocumento(JAXBElement<String> value) {
        this.numeroDocumento = ((JAXBElement<String>) value);
    }

    /**
     * Gets the value of the razonSocial property.
     *
     * @return possible object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public JAXBElement<String> getRazonSocial() {
        return razonSocial;
    }

    /**
     * Sets the value of the razonSocial property.
     *
     * @param value allowed object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public void setRazonSocial(JAXBElement<String> value) {
        this.razonSocial = ((JAXBElement<String>) value);
    }

    /**
     * Gets the value of the primerApellido property.
     *
     * @return possible object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public JAXBElement<String> getPrimerApellido() {
        return primerApellido;
    }

    /**
     * Sets the value of the primerApellido property.
     *
     * @param value allowed object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public void setPrimerApellido(JAXBElement<String> value) {
        this.primerApellido = ((JAXBElement<String>) value);
    }

    /**
     * Gets the value of the segundoApellido property.
     *
     * @return possible object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public JAXBElement<String> getSegundoApellido() {
        return segundoApellido;
    }

    /**
     * Sets the value of the segundoApellido property.
     *
     * @param value allowed object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public void setSegundoApellido(JAXBElement<String> value) {
        this.segundoApellido = ((JAXBElement<String>) value);
    }

    /**
     * Gets the value of the primerNombre property.
     *
     * @return possible object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public JAXBElement<String> getPrimerNombre() {
        return primerNombre;
    }

    /**
     * Sets the value of the primerNombre property.
     *
     * @param value allowed object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public void setPrimerNombre(JAXBElement<String> value) {
        this.primerNombre = ((JAXBElement<String>) value);
    }

    /**
     * Gets the value of the segundoNombre property.
     *
     * @return possible object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public JAXBElement<String> getSegundoNombre() {
        return segundoNombre;
    }

    /**
     * Sets the value of the segundoNombre property.
     *
     * @param value allowed object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public void setSegundoNombre(JAXBElement<String> value) {
        this.segundoNombre = ((JAXBElement<String>) value);
    }

    /**
     * Gets the value of the direccion property.
     *
     * @return possible object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public JAXBElement<String> getDireccion() {
        return direccion;
    }

    /**
     * Sets the value of the direccion property.
     *
     * @param value allowed object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public void setDireccion(JAXBElement<String> value) {
        this.direccion = ((JAXBElement<String>) value);
    }

    /**
     * Gets the value of the matricula property.
     *
     * @return possible object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public JAXBElement<String> getMatricula() {
        return matricula;
    }

    /**
     * Sets the value of the matricula property.
     *
     * @param value allowed object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public void setMatricula(JAXBElement<String> value) {
        this.matricula = ((JAXBElement<String>) value);
    }

    /**
     * Gets the value of the pagina property.
     *
     * @return possible object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public JAXBElement<String> getPagina() {
        return pagina;
    }

    /**
     * Sets the value of the pagina property.
     *
     * @param value allowed object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public void setPagina(JAXBElement<String> value) {
        this.pagina = ((JAXBElement<String>) value);
    }

}
